> For the complete documentation index, see [llms.txt](https://docs.hydromancer.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hydromancer.xyz/readme/rest-api/vaults/vaultsummaries.md).

# vaultSummaries

Returns summary information for all vaults on the platform.

<table><thead><tr><th width="115">Field</th><th width="177">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>type</code></td><td>string</td><td>Must be <code>"vaultSummaries"</code></td></tr></tbody></table>

## Request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST https://api.hydromancer.xyz/info \
  -H "Authorization: Bearer $HYDROMANCER_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "type": "vaultSummaries"
  }'
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import os
import json

response = requests.post(
    'https://api.hydromancer.xyz/info',
    json={
        'type': 'vaultSummaries'
    },
    headers={
        'Authorization': f'Bearer {os.environ["HYDROMANCER_API_KEY"]}',
        'Content-Type': 'application/json'
    }
)
print(json.dumps(response.json(), indent=2))
```

{% endtab %}

{% tab title="Javascript" %}

```javascript
import axios from 'axios';

const response = await axios.post(
  'https://api.hydromancer.xyz/info',
  {
    type: 'vaultSummaries'
  },
  {
    headers: {
      'Authorization': `Bearer ${process.env.HYDROMANCER_API_KEY}`,
      'Content-Type': 'application/json'
    }
  }
);

console.log(JSON.stringify(response.data, null, 2));
```

{% endtab %}
{% endtabs %}

***

## Response Fields

| Field               | Type    | Description                         |
| ------------------- | ------- | ----------------------------------- |
| `name`              | string  | Vault name                          |
| `vaultAddress`      | string  | Vault Ethereum address              |
| `leader`            | string  | Vault leader address                |
| `tvl`               | string  | Total value locked                  |
| `isClosed`          | boolean | Whether the vault is closed         |
| `relationship`      | object  | Relationship type info              |
| `relationship.type` | string  | Relationship type (e.g. `"normal"`) |
| `createTimeMillis`  | int     | Vault creation timestamp (ms)       |

<details>

<summary>Response</summary>

```json
[
  {
    "name": "BlockChain OG",
    "vaultAddress": "0xb9612144b6783f43191c09a7e56333f805ae12dd",
    "leader": "0xc7c6cf1f1a5c5ccb025416b24bbfa678dc5922e7",
    "tvl": "101.0",
    "isClosed": false,
    "relationship": {
      "type": "normal"
    },
    "createTimeMillis": 1773644731666
  }
]
```

</details>
